Fetch a persisted partner action by id.
curl --request GET \
--url https://portal.signalite.ai/api/v1/partner/actions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://portal.signalite.ai/api/v1/partner/actions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://portal.signalite.ai/api/v1/partner/actions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "deposit",
"status": "created",
"wallet": "<string>",
"receiver": "<string>",
"redeemId": "<string>",
"txHash": "<string>",
"request": {},
"quote": {
"action": "<string>",
"tx": {
"to": "<string>",
"data": "<string>",
"value": "0",
"chainId": 999
},
"account": "<string>",
"receiver": "<string>",
"metadata": {
"withdrawal": {
"requestedDestination": {
"chainId": 8453,
"chainName": "Base",
"usdcAddress": "<string>",
"enabled": true
},
"settlement": {
"chainId": 999,
"chainName": "HyperEVM",
"usdcAddress": "<string>",
"receiver": "<string>"
},
"postSettlementBridge": {
"required": true,
"provider": "relay",
"from": {
"chainId": 999,
"chainName": "HyperEVM",
"usdcAddress": "<string>"
},
"to": {
"chainId": 8453,
"chainName": "Base",
"usdcAddress": "<string>"
},
"recipient": "<string>",
"amountSource": "quote.expected.assets",
"mode": "deposit-address",
"relay": {
"provider": "relay",
"requestId": "0x17e6a5970c7ce45246e57e2cec28e65db34736c9850bdfd955147fb18a087fea",
"depositAddress": "<string>",
"statusUrl": "<string>",
"originChainId": 999,
"destinationChainId": 8453,
"amountRaw": "1000000",
"recipient": "<string>",
"refundTo": "<string>",
"originCurrency": "<string>",
"destinationCurrency": "<string>"
},
"submitRule": "<string>"
}
}
},
"quoteBlock": "<string>",
"requirements": [
{
"type": "approval",
"token": "<string>",
"spender": "<string>",
"amount": {
"raw": "1000000",
"decimals": 6,
"formatted": "1.000000"
},
"tx": {
"to": "<string>",
"data": "<string>",
"value": "0",
"chainId": 999
}
}
],
"expected": {
"assets": {
"raw": "1000000",
"decimals": 6,
"formatted": "1.000000"
},
"shares": {
"raw": "1000000",
"decimals": 6,
"formatted": "1.000000"
},
"minShares": {
"raw": "1000000",
"decimals": 6,
"formatted": "1.000000"
}
},
"slippageBps": 123,
"expiresAt": "2023-11-07T05:31:56Z"
},
"steps": [
{
"id": "approval-1",
"kind": "approval",
"status": "requires_signature",
"title": "Approve USDC",
"refreshQuoteAfterConfirm": true,
"tx": {
"to": "<string>",
"data": "<string>",
"value": "0",
"chainId": 999
}
}
],
"lastError": {},
"indexingPending": true,
"indexedAt": "2023-11-07T05:31:56Z",
"receiptBlockNumber": "<string>",
"idempotentReplay": true,
"metadata": {
"contractVersion": "shlp-pipe-v2",
"chainId": 999,
"addresses": {
"share": "<string>",
"core": "<string>",
"depositPipe": "<string>",
"redemptionPipe": "<string>",
"asset": "<string>"
},
"funding": {
"requiredBeforeAction": true,
"destination": {
"vm": "evm",
"chainId": 123,
"chainName": "<string>",
"token": {
"symbol": "USDC",
"decimals": 6,
"address": "<string>"
},
"relayWalletAdapter": "<string>"
},
"submitRule": "<string>"
}
},
"contractVersion": "shlp-pipe-v2",
"addresses": {
"share": "<string>",
"core": "<string>",
"depositPipe": "<string>",
"redemptionPipe": "<string>",
"asset": "<string>"
},
"timestamps": {
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
},
"meta": {
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": {
"code": "ACTION_BUILD_FAILED",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "ACTION_BUILD_FAILED",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "ACTION_BUILD_FAILED",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "ACTION_BUILD_FAILED",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "ACTION_BUILD_FAILED",
"message": "<string>"
}
}Partner Actions
Fetch a persisted partner action by id.
GET
/
api
/
v1
/
partner
/
actions
/
{id}
Fetch a persisted partner action by id.
